import 'package:get/get.dart';
import 'package:sigap/src/features/onboarding/presentasion/controllers/onboarding_controller.dart';
import 'package:sigap/src/features/onboarding/presentasion/controllers/role_selection_controller.dart';
import 'package:sigap/src/features/onboarding/presentasion/controllers/splash_controller.dart';

class OnboarControllerBindings extends Bindings {
  @override
  void dependencies() {
    // Register all feature onboarding controllers
    Get.lazyPut(() => OnboardingController(), fenix: true);
    Get.lazyPut(() => RoleSelectionController(), fenix: true);
    Get.lazyPut(() => SplashController(), fenix: true);

  }
}
